Ubuntu

[fglrx] compiz crashed with SIGSEGV in nux::IOpenGLSurface::UnlockRect()

Reported by Salih EMIN on 2010-12-06
292
This bug affects 55 people
Affects Status Importance Assigned to Milestone
Nux
Undecided
Unassigned
Unity
Critical
Loïc Molinari
fglrx
Fix Released
Undecided
Unassigned
compiz (Ubuntu)
High
Unassigned
Natty
High
Unassigned
fglrx-installer (Ubuntu)
High
Alberto Milone
Natty
High
Alberto Milone
nux (Ubuntu)
High
Canonical Desktop Experience Team
Natty
High
Canonical Desktop Experience Team
unity (Ubuntu)
Medium
Loïc Molinari
Natty
Medium
Loïc Molinari

Bug Description

Binary package hint: unity

After request from Didier Roche from here : https://bugs.launchpad.net/ubuntu/+source/unity/+bug/685037
I submit this new bug file with updated description.
------------------------------
Let me try to explain what is the behavior of Unity. I downloaded and installed the Alpha 1 of 11.04. Everything worked just out-of-the box (Dell Studio 1557). I logged in to Unity and after I was connected to my Internet router, it prompt me that "proprietary drivers are available". I installed them and then rebooted. After that I reach the log in screen but after I provide username-password Unity doesn't show up. Now the interesting part is:
* I hear the login sound/music
* I see and use mouse point, right click works (can create folders, launchers etc. and interact with them)
* I see the wallpaper :)
* Notifications work, as notification balloon pops up to tell me that I am connected to Internet, but it is not transparent when I move the mouse over it

But if I choose to login with Ubuntu Classic Session, Gnome works.

What It seems to me is that the the upper menu bar (global menu) and the left side bar doesn't show up. To file this bug I had to right click, create a launcher for gnome terminal and then run in terminal:
 "ubuntu-bug unity"

I also attach a screenshot where the only thing you can see is the wallpaper and the terminal launcher that I had to create to submit this bug report
If you need more info please tell me what should I report.
----------------------------------------------------------------------------------------
ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.2-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.37-7.19-generic 2.6.37-rc3
Uname: Linux 2.6.37-7-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
CompizPlugins: [shift,wobbly]
Date: Mon Dec 6 02:15:54 2010
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 0c45:6417 Microdia
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Studio 1557
PciDisplay: 02:00.0 VGA compatible controller [0300]: ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series] [1002:9553] (prog-if 00 [VGA controller])
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-7-generic root=UUID=1eba0aab-07d3-415c-a84d-2383d54946e0 ro quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-7.19-generic 2.6.37-rc3
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3b1
 libgl1-mesa-glx 7.9+repack-1ubuntu3
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.901-2ubuntu1
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
dmi.bios.date: 08/23/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0KM426
dmi.board.vendor: Dell Inc.
dmi.board.version: A08
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A08
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd08/23/2010:svnDellInc.:pnStudio1557:pvrA08:rvnDellInc.:rn0KM426:rvrA08:cvnDellInc.:ct8:cvrA08:
dmi.product.name: Studio 1557
dmi.product.version: A08
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] No such file or directory
system: distro = Ubuntu, architecture = x86_64, kernel = 2.6.37-7-generic

Salih EMIN (salih-emin) wrote :
description: updated
Didier Roche (didrocks) on 2010-12-06
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
DasJott (das-jott) wrote :

Exactly the same for me on my acer aspire one 521 with radeon hd4225 - on Ubuntu 10.10

Xavier Guillot (valeryan-24) wrote :

Hello,

Also same behavior with 11.04 alpha, graphic card ATI Radeon HD5770 and 3D proprietary drivers fglrx.

Gnome-classic session works well, no problem, but if I load Unity, I only get the wallpaper, mouse works, I can right-clic on desktop, but no panel, no global menu, no Unity dock...

Xavier Guillot (valeryan-24) wrote :

Also, when I try to restart classic session, I get an error message telling that a program is still running : Compiz - no response.

If I uninstall proprietary drivers, of course when I try to run Unity session, it tells me that I need 3D drivers and loads classic Ubuntu desktop.

Last, I tried to make ubuntu-bug unity on the Unity session with fglrx activated, but had no connection to send the report, do you know where it is saved on my computer to post it ?

Thanks.

abrianb (abrianb2003) wrote :

This also on ati radeon x1300 /thinkpad t-60

Same Problem on a Toshiba Tecra S1 with the Radeon 9000... As the Chipset is discontinued by the propitary driver it uses the "radeon" driver... I experience this Problem from the very beginning.

col reilly (lupinehorror) wrote :

same here...hp pavillion notebook running ati mobility radeon hd 4200 series 8.78.3

Rajeev Nair (rajeev) wrote :

absolutely confirm this. After trying 2 weeks to get unity running, i just removed fglrx and i have unity again.

Running ATI Radeon 4850 card.

Changed in unity (Ubuntu):
status: Triaged → Confirmed
Rajeev Nair (rajeev) wrote :

absolutely confirm this. After trying 2 weeks to get unity running, i just removed fglrx and i have unity again.

Running ATI Radeon 4850 card.Using fglrx from regular repos, no ppa's.

Marking as confirmed.

Rajeev Nair (rajeev) wrote :

wrong set status to confirmed, i cant set it to triaged .

Rajeev Nair (rajeev) wrote :

Ok another interesting fact, this time good news.

Just installed the latest AMD Radeon drivers via xswat ppa and unity is working once again .

You will find nvidia and ati packages here https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

cheers.

Rajeev Nair (rajeev) wrote :

Sorry false alarm. The driver from the xswat ppa hasnt been enabled yet on my system, it was using the open source driver hence it was working.

Have been up all night trying to get this to work. :)

Salih EMIN (salih-emin) on 2010-12-19
Changed in unity:
status: Triaged → Confirmed
Per-Inge (per-inge-hallin) wrote :

In the same computer with different Ubuntu versions I get the following information about OpenGL:

Maverick 10.10 from Hardinfo
Vendor ATI Technologies Inc.
Renderer ATI Radeon HD 5450
Version 4.1.10362 Compatibility Profile Context
Direct Rendering Yes

Maverick 10.10 from amdcccle
OpenGL Provider ATI Technologies Inc.
OpenGL Renderer ATI Radeon HD 5450
OpenGL Version 4.1.10362 Compatibility Profile Context

Natty 11.04 from Hardinfo
Vendor Unknown
Renderer Unknown
Version Unknown
Direct Rendering No

Natty 11.04 from amdcccle
OpenGL Provider ATI Technologies Inc.
OpenGL Renderer ATI Radeon HD 5450
OpenGL Version 4.1.10362 Compatibility Profile Context

David Barth (dbarth) wrote :

Jay: can you first determine, why it fails. And depending on that, coordinate with the X team to have bugs upstream and/or blacklist

Changed in unity:
assignee: nobody → Jay Taoko (jaytaoko)
milestone: none → 3.2.10
Bryce Harrington (bryce) wrote :

I had attempted loading unity with fglrx last month but also failed to get it going. No idea why it isn't working though... I'd assumed at the time it was a unity bug since I could get classic+compiz running. But I suppose a driver bug is possible.

Alberto is probably the best contact point for this bug since he can escalate it to AMD.

Download full text (4.7 KiB)

So far it is a no go for the radeon 5000 series, it seems; for radeon and radeonhd drivers with unity. it's only early alpha though, so things will get better as time goes on.

"Bryce Harrington" <email address hidden> wrote:

>I had attempted loading unity with fglrx last month but also failed to
>get it going. No idea why it isn't working though... I'd assumed at the
>time it was a unity bug since I could get classic+compiz running. But I
>suppose a driver bug is possible.
>
>Alberto is probably the best contact point for this bug since he can
>escalate it to AMD.
>
>--
>You received this bug notification because you are subscribed to Unity.
>https://bugs.launchpad.net/bugs/685682
>
>Title:
> Unity doesn't work with proprietary ATI drivers, but works with free drivers
>
>Status in AMD fglrx video driver:
> New
>Status in Unity:
> Confirmed
>Status in “fglrx-installer” package in Ubuntu:
> New
>Status in “unity” package in Ubuntu:
> Confirmed
>Status in “fglrx-installer” source package in Natty:
> New
>Status in “unity” source package in Natty:
> Confirmed
>
>Bug description:
> Binary package hint: unity
>
>After request from Didier Roche from here : https://bugs.launchpad.net/ubuntu/+source/unity/+bug/685037
>I submit this new bug file with updated description.
>------------------------------
>Let me try to explain what is the behavior of Unity. I downloaded and installed the Alpha 1 of 11.04. Everything worked just out-of-the box (Dell Studio 1557). I logged in to Unity and after I was connected to my Internet router, it prompt me that "proprietary drivers are available". I installed them and then rebooted. After that I reach the log in screen but after I provide username-password Unity doesn't show up. Now the interesting part is:
>* I hear the login sound/music
>* I see and use mouse point, right click works (can create folders, launchers etc. and interact with them)
>* I see the wallpaper :)
>* Notifications work, as notification balloon pops up to tell me that I am connected to Internet, but it is not transparent when I move the mouse over it
>
>But if I choose to login with Ubuntu Classic Session, Gnome works.
>
>What It seems to me is that the the upper menu bar (global menu) and the left side bar doesn't show up. To file this bug I had to right click, create a launcher for gnome terminal and then run in terminal:
> "ubuntu-bug unity"
>
>I also attach a screenshot where the only thing you can see is the wallpaper and the terminal launcher that I had to create to submit this bug report
>If you need more info please tell me what should I report.
>----------------------------------------------------------------------------------------
>ProblemType: Bug
>DistroRelease: Ubuntu 11.04
>Package: unity 3.2.2-0ubuntu2
>ProcVersionSignature: Ubuntu 2.6.37-7.19-generic 2.6.37-rc3
>Uname: Linux 2.6.37-7-generic x86_64
>NonfreeKernelModules: fglrx
>Architecture: amd64
>CompizPlugins: [shift,wobbly]
>Date: Mon Dec 6 02:15:54 2010
>InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
>InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
>Lsusb:
> Bus 002 Device 002: ID 8087:0020 Intel Corp....

Read more...

I couldn't find release notes for the 10.12 catalyst driver online, however afaik hd4xxx and hd5xxx *should* work with the current natty setup, so this seems to be a legit bug.

However, note that in the next week or so we'll be uploading a new xserver which will completely break everything for fglrx, due to abi incompatibility. So it will be completely broken very soon regardless.

Bryce Harrington (bryce) wrote :

Felix points out this is being caused by compiz crashing. So it appears not to be an X or fglrx bug but rather something in nux:

Backtrace:
#0 0x0000000000000000 in ?? ()
#1 0x00007fffeb58fcf0 in nux::IOpenGLSurface::UnlockRect() ()
   from /usr/lib/libnux-graphics-0.9.so.0
#2 0x00007fffeb58798a in nux::IOpenGLTexture2D::UnlockRect(int) ()
   from /usr/lib/libnux-graphics-0.9.so.0
#3 0x00007fffeb55a545 in nux::CachedTexture2D::LoadMipLevel(nux::BaseTexture*, int) () from
/usr/lib/libnux-graphics-0.9.so.0
#4 0x00007fffeb55ae2d in nux::CachedTexture2D::CachedTexture2D(nux::NResourceSet*, nux::Texture2D*) () from
/usr/lib/libnux-graphics-0.9.so.0
#5 0x00007fffeb557b54 in nux::TGLResourceFactory<nux::Texture2D,
nux::CachedTexture2D>::BuildResource(nux::NResourceSet*, nux::ResourceData*) ()
   from /usr/lib/libnux-graphics-0.9.so.0
#6 0x00007fffeb55736c in nux::NResourceCache::GetCachedResource(nux::ResourceData*) () from
/usr/lib/libnux-graphics-0.9.so.0
#7 0x00007fffeb54c8cd in nux::GraphicsEngine::CacheResource(nux::ResourceData*) () from
/usr/lib/libnux-graphics-0.9.so.0
#8 0x00007fffeb55a09f in nux::BaseTexture::GetDeviceTexture() ()
   from /usr/lib/libnux-graphics-0.9.so.0
#9 0x00007fffebbbdfa1 in PanelHomeButton::Refresh() ()
   from /usr/lib/compiz/libunityshell.so
#10 0x00007fffebbbe371 in PanelHomeButton::PanelHomeButton() ()
   from /usr/lib/compiz/libunityshell.so
#11 0x00007fffebbc4b96 in PanelView::PanelView(char const*, int) ()
   from /usr/lib/compiz/libunityshell.so
#12 0x00007fffebbde85c in UnityScreen::initLauncher(nux::NThread*, void*) ()
   from /usr/lib/compiz/libunityshell.so
#13 0x00007fffebbdeabd in UnityScreen::initUnity(nux::NThread*, void*) ()
   from /usr/lib/compiz/libunityshell.so
#14 0x00007fffeb919282 in nux::WindowThread::Run(void*) ()
   from /usr/lib/libnux-0.9.so.0
#15 0x00007fffebbdf57a in UnityScreen::UnityScreen(CompScreen*) ()
   from /usr/lib/compiz/libunityshell.so
#16 0x00007fffebbe1c49 in CompPlugin::VTableForScreenAndWindow<UnityScreen, UnityWindow>::initScreen(CompScreen*)
() from /usr/lib/compiz/libunityshell.so
#17 0x00000000004501fa in CompManager::initPlugin(CompPlugin*) ()
#18 0x00000000004512fe in CompPlugin::push(CompPlugin*) ()
#19 0x000000000042d588 in PrivateScreen::updatePlugins() ()
#20 0x000000000042d898 in PrivateScreen::processEvents() ()
#21 0x000000000042d8f8 in CompEventSource::callback() ()
#22 0x00007ffff6e4440f in Glib::Source::dispatch_vfunc(_GSource*, int (*)(void*), void*) () from
/usr/lib/libglibmm-2.4.so.1
#23 0x00007ffff6956c4d in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0x00007ffff6957438 in ?? () from /lib/libglib-2.0.so.0
#25 0x00007ffff69576c9 in g_main_context_iteration ()
   from /lib/libglib-2.0.so.0
#26 0x00007ffff6e452e3 in Glib::MainContext::iteration(bool) ()
   from /usr/lib/libglibmm-2.4.so.1
#27 0x000000000042932a in CompScreen::eventLoop() ()
#28 0x00000000004222e0 in main ()

Bryce Harrington (bryce) wrote :

The description of the bug (wallpaper displaying properly, popup notices showing and hiding properly) indicates that X hasn't crashed or locked up, and suggest a window manager (compiz) failure. So I'm reassigning this to compiz for further analysis.

It would probably help if someone could gather a full backtrace (with line numbers and such). Run compiz in gdb, and then use 'bt full' to get a full backtrace.

affects: fglrx-installer (Ubuntu Natty) → compiz (Ubuntu Natty)
Changed in compiz (Ubuntu Natty):
importance: Undecided → High
David Barth (dbarth) on 2011-01-12
tags: added: driver
removed: drivers
David Barth (dbarth) on 2011-01-12
tags: added: 0.9
Changed in unity (Ubuntu Natty):
assignee: nobody → Jay Taoko (jaytaoko)
AMC (aneeshmohanc) wrote :

Same problem for me on my Acer Aspire 5542G with ATI Mobility Radeon HD 4570 - on Ubuntu 11.04 Alpha 1.

bugbot (bugbot) on 2011-01-13
affects: xorg (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Xavier Guillot (valeryan-24) wrote :

I'd like to help by reporting logs. Please does someone know where logs are saved after launching "ubuntu-bug unity" ?

Also, what commands to enter in order to "run compiz in gdb, and then use 'bt full' to get a full backtrace" ?

Thanks ina dvance.

David Barth (dbarth) wrote :

run unity --advanced-debug from a VT, it will do the right thing with the export DISPLAY and all. just type 'run' once you see the gdb prompt.

SolidSlash (solidslash) wrote :

And how to save the output? Running 'set logging on' gives very little information.

SolidSlash (solidslash) wrote :

Ok, so here it is : http://pastebin.com/kmR7HSvt (backtrace full , info registers , thread apply all backtrace)

Bryce Harrington (bryce) wrote :

#0 0x0000000000000000 in ?? ()
#1 0x00007fffe7436cf0 in nux::IOpenGLSurface::UnlockRect() () from /usr/lib/libnux-graphics-0.9.so.0
#2 0x00007fffe742e98a in nux::IOpenGLTexture2D::UnlockRect(int) () from /usr/lib/libnux-graphics-0.9.so.0
#3 0x00007fffe7401545 in nux::CachedTexture2D::LoadMipLevel(nux::BaseTexture*, int) () from /usr/lib/libnux-graphics-0.9.so.0

Not sure what to make of the first null function call, but this seems to be crashing from in nux. I'll close off the -ati task for now. So far this is not looking like an X bug.

summary: - Unity doesn't work with proprietary ATI drivers, but works with free
- drivers
+ [fglrx] compiz crashed with SIGSEGV in nux::IOpenGLSurface::UnlockRect()
Bryce Harrington (bryce) wrote :

The latest backtrace matches Felix's and so it looks like this is a crash in nux not the driver.

If there is something specifically needing to be investigated on the X side feel free to reopen the fglrx-installer task.

affects: xserver-xorg-video-ati (Ubuntu Natty) → fglrx-installer (Ubuntu Natty)
Changed in fglrx-installer (Ubuntu Natty):
status: New → Invalid
col reilly (lupinehorror) wrote :

now i get...
'you don't have the hardware requirement to run unity. change user session?' or something.

Same thing, and unable anymore to do a right clic on desktop (nothing
happens) to create a terminal link and launch debug testings.

Just the wallpaper and mouse cursor moving...

Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
importance: Medium → Critical
milestone: 3.2.10 → 3.2.16
status: Confirmed → Triaged
Bryce Harrington (bryce) wrote :

Hmm, could this be a DRI vs DRI2 limitation?

David Barth (dbarth) on 2011-01-19
Changed in unity:
assignee: Jay Taoko (jaytaoko) → Loïc Molinari (loic.molinari)
Changed in unity (Ubuntu Natty):
assignee: Jay Taoko (jaytaoko) → Loïc Molinari (loic.molinari)
rbrick49 (ronb19495) wrote :

same here for me latest daily build ati/amd driver wont run on unity blank screen

Travis Watkins (amaranth) wrote :

Reopening fglrx task as this may be a driver issue, all reported cases are using this driver.

Changed in fglrx-installer (Ubuntu Natty):
status: Invalid → New
Bryce Harrington (bryce) on 2011-01-20
Changed in compiz (Ubuntu Natty):
status: New → Incomplete
Changed in compiz (Ubuntu Natty):
status: Incomplete → New
Bryce Harrington (bryce) wrote :

[Making bug report private at AMD's request]

Bryce Harrington (bryce) on 2011-01-21
security vulnerability: no → yes
Bryce Harrington (bryce) on 2011-01-21
security vulnerability: yes → no
nmarques (nmo-marques) wrote :

I'm not testing on a Ubuntu platform, but I just finished up firing it on openSUSE with FireGL (10.12) and I can subscribe the bug reported. It's exactly the same behavior on a very different platform.

If you have any pointers on how to debug this thing properly, I can try to help.

Ok, to clarify: this happens with the radeon driver too. I try to start unity since the first alpha versions, never got it work. The only thing that has changed is that I get an Info in the latest dailys that my hardware is not supported (ATI X600M). Compiz on 10.10 runs smooth with the free drivers.

Travis Watkins (amaranth) wrote :

Thorsten: You're saying you get a crash in nux::IOpenGLSurface::UnlockRect() when using the radeon driver? Any other problem (like unity telling you you can't use it) is not the same bug.

Andree Wille (dreewill) wrote :

same for me. after installing the fglrx driver i rebootet the system. then tried to log in to unity. after i had entered my user credentials a windows popped up (before the desktop was loaded). this pop up told me that i can't use unity and asked me to load the ubuntu classic session. i clicked on yes but it seemed that it booted into unity. i only saw the desktop background. no panel and no sidebar and no window decorators. Then the crash report popped up.

Stanz (stanz) wrote :

Same for me, installed daily-live amd64-20110125 on dell inspiron 1546.
fglrx driver, declined classic to test - pretty wallpaper - no left/right click response - no panel/sidebar/decor.
Mine includes lack of any usb plug working--but that may be another issue?

Stanz (stanz) wrote :

Rebooted a few times--not getting greeted with the 'I can't' pop-up (a bug or one time deal??), and cruising into pretty wallpaper with no panels.
Un-installed the fglrx driver-rebooted- and desktop loaded w/side, top panels!
Now if I could just figure out how to access 'Apps/Places/System' as easy as 10.04?

Neil J. Patel (njpatel) on 2011-01-27
Changed in unity:
milestone: 3.2.16 → 3.4
Jay Taoko (jaytaoko) wrote :

I have noticed that the crash happens in IOpenGLSurface::UnlockRect because of a call to glBindBufferARB. I am able to go past these errors but only to fall into more errors laters.
I Also noticed that Unity starts in indirect mode and the version of OpenGL that is use is 1.4. This is the version of OpenGL that is supported by X in indirect mode. We are currently working on a way to improve the situation.

Rajeev Nair (rajeev) wrote :

Hello good folks of unity. :)

Alpha 2 is almost upon us fglrx users.Xserver 1.1 is also here which will break X .

My question is, how will this bug be fixed at this stage when fglrx will break anyways with the new X stack.Or will you guys hold out till a new fglrx is out ?Or it is patched ?

Thanks and regards

rajeev

col reilly (lupinehorror) wrote :

i'm staying away from the fglrx drivers until this situation has been resolved. even if i'm using the standard desktop and not unity. all this talk of x breaking is rather worrying.

las (bandara-ls) wrote :

I had fglrx installed and used clasic desktop.After yesterday's updates my x dosent work even after removing fglrx...

Download full text (4.7 KiB)

On Wed, Feb 2, 2011 at 5:35 PM, las <email address hidden> wrote:
> I had fglrx installed and used clasic desktop.After yesterday's updates
> my x dosent work even after removing fglrx...
>

You probably need to remove your existing /etc/X11/Xorg.conf, since I
believe that it forces that driver to be used in there.

> --
> You received this bug notification because you are a member of Unity
> Team, which is a direct subscriber.
> https://bugs.launchpad.net/bugs/685682
>
> Title:
>  [fglrx] compiz crashed with SIGSEGV in
>  nux::IOpenGLSurface::UnlockRect()
>
> Status in AMD fglrx video driver:
>  New
> Status in Unity:
>  Triaged
> Status in “compiz” package in Ubuntu:
>  New
> Status in “fglrx-installer” package in Ubuntu:
>  New
> Status in “nux” package in Ubuntu:
>  New
> Status in “unity” package in Ubuntu:
>  Confirmed
> Status in “compiz” source package in Natty:
>  New
> Status in “fglrx-installer” source package in Natty:
>  New
> Status in “nux” source package in Natty:
>  New
> Status in “unity” source package in Natty:
>  Confirmed
>
> Bug description:
>  Binary package hint: unity
>
>  After request from Didier Roche from here : https://bugs.launchpad.net/ubuntu/+source/unity/+bug/685037
>  I submit this new bug file with updated description.
>  ------------------------------
>  Let me try to explain what is the behavior of Unity. I downloaded and installed the Alpha 1 of 11.04. Everything worked just out-of-the box (Dell Studio 1557). I logged in to Unity and after I was connected to my Internet router, it prompt me that "proprietary drivers are available". I installed them and then rebooted. After that I reach the log in screen but after I provide username-password Unity doesn't show up. Now the interesting part is:
>  * I hear the login sound/music
>  * I see and use mouse point, right click works (can create folders, launchers etc. and interact with them)
>  * I see the wallpaper :)
>  * Notifications work, as notification balloon pops up to tell me that I am connected to Internet, but it is not transparent when I move the mouse over it
>
>  But if I choose to login with Ubuntu Classic Session, Gnome works.
>
>  What It seems to me is that the the upper menu bar (global menu) and the left side bar doesn't show up. To file this bug I had to right click, create a launcher for gnome terminal and then run in terminal:
>   "ubuntu-bug unity"
>
>  I also attach a screenshot where the only thing you can see is the wallpaper and the terminal launcher that I had to create to submit this bug report
>  If you need more info please tell me what should I report.
>  ----------------------------------------------------------------------------------------
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.2.2-0ubuntu2
>  ProcVersionSignature: Ubuntu 2.6.37-7.19-generic 2.6.37-rc3
>  Uname: Linux 2.6.37-7-generic x86_64
>  NonfreeKernelModules: fglrx
>  Architecture: amd64
>  CompizPlugins: [shift,wobbly]
>  Date: Mon Dec  6 02:15:54 2010
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
>  Lsusb:
>   Bus 002 Device 002: ...

Read more...

Bryce Harrington (bryce) wrote :

To answer #41 - first, it's "1.10" not "1.1". xserver 1.1 was a LONG time ago. ;-)

Anyway, we've communicated this bug to AMD, and so we will hold out until a new fglrx is released. Use -ati in the interim.

We can't fix/patch the fglrx driver ourselves since it is proprietary.

Bryce Harrington (bryce) on 2011-02-03
tags: added: compiz-0.9
removed: 0.9
Per-Inge (per-inge-hallin) wrote :

Unity in Alpha 2 is now working with an AMD Radeon 5450 graphic card and the open source Radeon driver.
However Alpha 2 is not that stable yet.

David Barth (dbarth) on 2011-02-04
Changed in unity:
milestone: 3.4 → 3.6
Neil J. Patel (njpatel) on 2011-02-07
Changed in unity:
milestone: 3.6 → 3.4.4
sunny (sunny-sun) wrote :

AMD OpenGL driver doesn’t support GL_EXT_stencil_two_side, but compiz attempts to call to glActiveStencilFaceEXT which cuases segmentation fault, because the API glActiveStencilFaceEXT deosn't exit.

Travis Watkins (amaranth) wrote :

Since this is something between nux and fglrx (dunno if it's the lack of GL_EXT_stencil_two_side or not) I'm closing the compiz task.

Changed in compiz (Ubuntu Natty):
status: New → Invalid
Changed in nux (Ubuntu Natty):
importance: Undecided → High
Bryce Harrington (bryce) on 2011-02-11
Changed in fglrx-installer (Ubuntu Natty):
importance: Undecided → High
status: New → In Progress
Neil J. Patel (njpatel) wrote :

Loic, could you please investigate Sunny's findings, I'd like this to be fixed before A3.

Changed in unity:
milestone: 3.4.4 → 3.4.6
Didier Roche (didrocks) on 2011-02-21
Changed in unity (Ubuntu Natty):
status: Confirmed → Triaged
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
milestone: 3.4.6 → 3.6
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
milestone: 3.6 → 3.6.2
Neil J. Patel (njpatel) on 2011-03-07
Changed in unity:
milestone: 3.6.2 → 3.6.4
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
milestone: 3.6.4 → 3.6.6
Jim Raredon (decoy-umd) wrote :

After the March 10th updates, this bug now affects Intel Video for me. Same symptoms as above.

I can confirm what Jim Raredon says... this bug now seems to be affecting Intel Graphics (in my case, GMA950 on an MSI Wind U100)

Didier Roche (didrocks) on 2011-03-14
tags: added: dids-top-ten unity-priority
Changed in nux (Ubuntu Natty):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Didier Roche (didrocks) on 2011-03-17
Changed in unity:
milestone: 3.6.6 → 3.6.8
Bryce Harrington (bryce) on 2011-03-21
Changed in fglrx-installer (Ubuntu Natty):
assignee: nobody → Alberto Milone (albertomilone)
Didier Roche (didrocks) on 2011-03-24
Changed in unity:
milestone: 3.6.8 → 3.8
Didier Roche (didrocks) on 2011-03-28
Changed in unity:
milestone: 3.8 → 3.8.2
Bryce Harrington (bryce) wrote :

As per https://lists.ubuntu.com/archives/ubuntu-x/2011-March/001065.html you should be able to now manually install -fglrx and then install a PPA version of unity which work together.

Can someone do this install and confirm whether or not this bug still exists with that?

Changed in fglrx-installer (Ubuntu Natty):
status: In Progress → Incomplete
Johan Kiviniemi (ion) wrote :

Testing the daily build of unity with the new fglrx: unity_support_test crashes with the following output. http://paste.ubuntu.com/587529/

The XIO error actually comes after the output, they’re just mixed in the log due to stdout and stderr getting flushed differently.

Should I report this on Launchpad, or is it the wrong place for bug reports about the daily build?

Loïc Molinari (loic.molinari) wrote :

Johan:

unity_support_test has been recently rewritten, it's in nux trunk. You can test if it still crashes by downloading that file ¹ and compile it with that command ².

¹ http://bazaar.launchpad.net/~unity-team/nux/trunk/view/head:/tools/unity_support_test.c
² gcc -std=c99 unity_support_test.c -o unity_support_test `pkg-config --cflags --libs gl x11 libpci`

Rajeev Nair (rajeev) wrote :

I tested with the unity daily ppa and i did not have compiz on boot and was dropped to classic desktop.Manually typing compiz --replace in terminal made unity appear but i also had the gnome panel at the bottom.

ALT TAB also seemed very sluggish.

Johan Kiviniemi (ion) wrote :

Loïc,

The version of unity_support_test in the nux repo seems to work fine.

Didier Roche (didrocks) on 2011-04-01
Changed in unity:
milestone: 3.8.2 → 3.8.4
John O (jplo) wrote :

Just got Beta 1 and installed the updated fglrx driver. (It was not installed already). The Unity shell resembled a number of 'black squares' jumbled up on the screen. While Unity/Compiz were running other applications flashed as well. However, when I ran sudo killall compiz, all the other apps that were open stopped flashing.

Additionally, when using the standard Gnome 2.x desktop, there is no flashing whatsoever despite the fact that compiz is running.

Tushar Jain (tushaar-iitr) wrote :

Just installed 11.04 beta1.. works fine on first installation... My bluetooth was not working so I checked the additional drivers.. I saw that in addition to bluetooth driver, my graphics was not activated. So I activated both.. Later, it ask me to restart the machine... and the things went worst... NO UNITY only BLACK SCREEN....

Somehow I logged out and login to classic ubuntu.. gnome works fine... It seems to me the problem of graphics driver.. I uninstalled it after loogin via classic ubuntu... restart... and unity comes back :)..

For me everything is working fine.. but I think there might be some issues because my machine becomes very hot and the fan keeps running... I think its overloaded... !!!!

By th way my graphics card is ATI 54series..

With compiz version 1:0.9.4git20110322-0ubuntu5, the desktop is unusable due to black squares appearing all over the place. Using version 1:0.9.4git20110322-0ubuntu6+r2723+201103301010 from ppa:unity/daily does fix it. This makes unity usable with fglrx.

Gaz Davidson (garethdavidson) wrote :

I recorded this video to see if anyone in #ubuntu+1 was having the same problem with ATI on Ubuntu 11.04 Beta 1. It doesn't add much to the bug report other than illustrating the black box thing that John, Tushar and Guilluame describe above.

http://www.youtube.com/watch?v=rYz7k_CLksE

Jason Smith (jassmith) on 2011-04-04
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-04-05
Changed in unity (Ubuntu Natty):
status: Triaged → Fix Committed

Still having this problem on MSi WInd U100 with Intel graphics

Alberto Milone (albertomilone) wrote :

@Francisco
the bug report status is "Fix committed". You'll get the fix when it says "Fix released".

Didier Roche (didrocks) on 2011-04-07
Changed in nux:
status: New → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Download full text (4.8 KiB)

It's already fixed for me as of this morning! :)

Cheers,

David JM Emmett

On 7 Apr 2011, at 15:04, Alberto Milone <email address hidden> wrote:

> @Francisco
> the bug report status is "Fix committed". You'll get the fix when it says "Fix released".
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/685682
>
> Title:
> [fglrx] compiz crashed with SIGSEGV in
> nux::IOpenGLSurface::UnlockRect()
>
> Status in AMD fglrx video driver:
> New
> Status in Nux:
> New
> Status in Unity:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> Invalid
> Status in “fglrx-installer” package in Ubuntu:
> Incomplete
> Status in “nux” package in Ubuntu:
> New
> Status in “unity” package in Ubuntu:
> Fix Committed
> Status in “compiz” source package in Natty:
> Invalid
> Status in “fglrx-installer” source package in Natty:
> Incomplete
> Status in “nux” source package in Natty:
> New
> Status in “unity” source package in Natty:
> Fix Committed
>
> Bug description:
> Binary package hint: unity
>
> After request from Didier Roche from here : https://bugs.launchpad.net/ubuntu/+source/unity/+bug/685037
> I submit this new bug file with updated description.
> ------------------------------
> Let me try to explain what is the behavior of Unity. I downloaded and installed the Alpha 1 of 11.04. Everything worked just out-of-the box (Dell Studio 1557). I logged in to Unity and after I was connected to my Internet router, it prompt me that "proprietary drivers are available". I installed them and then rebooted. After that I reach the log in screen but after I provide username-password Unity doesn't show up. Now the interesting part is:
> * I hear the login sound/music
> * I see and use mouse point, right click works (can create folders, launchers etc. and interact with them)
> * I see the wallpaper :)
> * Notifications work, as notification balloon pops up to tell me that I am connected to Internet, but it is not transparent when I move the mouse over it
>
> But if I choose to login with Ubuntu Classic Session, Gnome works.
>
> What It seems to me is that the the upper menu bar (global menu) and the left side bar doesn't show up. To file this bug I had to right click, create a launcher for gnome terminal and then run in terminal:
> "ubuntu-bug unity"
>
> I also attach a screenshot where the only thing you can see is the wallpaper and the terminal launcher that I had to create to submit this bug report
> If you need more info please tell me what should I report.
> ----------------------------------------------------------------------------------------
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.2.2-0ubuntu2
> ProcVersionSignature: Ubuntu 2.6.37-7.19-generic 2.6.37-rc3
> Uname: Linux 2.6.37-7-generic x86_64
> NonfreeKernelModules: fglrx
> Architecture: amd64
> CompizPlugins: [shift,wobbly]
> Date: Mon Dec 6 02:15:54 2010
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
> InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20101202)
> Lsusb:
> Bus 002 Device 002: ID 8087:0...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.40-0ubuntu1

---------------
nux (0.9.40-0ubuntu1) natty; urgency=low

  * New upstream release.
    - [fglrx] compiz crashed with SIGSEGV in nux::IOpenGLSurface::UnlockRect()
      (LP: #685682)
    - compiz crashed with SIGSEGV in
      nux::WindowCompositor::ViewWindowPreEventCycle() (LP: #741952)
    - Missing icons in app launcher (LP: #728393)
    - compiz crashed with SIGSEGV in malloc_consolidate() (LP: #743738)
    - compiz crashed with SIGSEGV in nux::BaseWindow::IsModal() (LP: #749675)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #722391)
    - compiz crashed with SIGSEGV in nux::InputArea::StartDragAsSource()
      (LP: #737519)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #734519)
    - compiz crashed with SIGSEGV in nux::WindowCompositor::RenderTopViews()
      (LP: #747486)
  * debian/copyright:
    - licence is now LGPL2.1+
  * ABI break, add Breaks: unity (<< 3.8.4)
  * debian/rules:
    - bump the shlib
 -- Didier Roche <email address hidden> Thu, 07 Apr 2011 18:26:13 +0200

Changed in nux (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package unity - 3.8.4-0ubuntu1

---------------
unity (3.8.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - [fglrx] compiz crashed with SIGSEGV in nux::IOpenGLSurface::UnlockRect()
      (LP: #685682)
    - SIGSEGV in g_atomic_int_get (LP: #688803)
    - unity-panel-service crashed with SIGSEGV in bamf_factory_view_for_path()
      (LP: #717684)
    - New window tracking system breaks in the case where windows try to
      restack relative to destroyed windows that were never mapped
      (LP: #723014)
    - Numpad 'Enter' doesn't work on highlighted items in dash, places-files and
      places-apps (LP: #741615)
    - compiz crashed with SIGSEGV in free() (LP: #738864)
    - compiz crashed with SIGSEGV in g_closure_invoke() (LP: #741674)
    - compiz crashed with SIGSEGV in CompWindow::id() (LP: #742028)
    - Windows that reparent away from the root before they are mapped can
      cause other windows to become invisible (and compiz to crash)
      (LP: #743011)
    - compiz crashed with SIGABRT in raise() (LP: #743414)
    - compiz crashed with SIGSEGV in g_object_get_qdata() (LP: #742905)
    - compiz crashed with SIGSEGV in g_closure_invoke() (LP: #748033)
    - compiz crashed with SIGSEGV in CompScreen::dpy() (LP: #751372)
    - compiz crashed with SIGABRT in __kernel_vsyscall() (LP: #744867)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - Missing icons in app launcher (LP: #728393)
    - Multiple quick clicks on launcher icon with multiple windows completely
      crashes Unity (LP: #731790)
    - Add a test case for invisible windows regressions (LP: #736876)
    - Re-sync with xquerytree to avoid stacking order issues (LP: #740465)
    - Wrong window moves (LP: #741656)
    - compiz crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()
      (LP: #742280)
    - panel superposition (LP: #742859)
    - unity-window-decorator doesn't start on secondary X session
      (LP: #730495)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - dash categories dropdown menu leaves "ghost" on desktop (LP: #746800)
    - new dialogs open close enough of the launcher to make hide (LP: #747302)
    - dnd from the application place to the launcher works only once
      (LP: #747316)
    - compiz crashed with SIGSEGV in CompWindow::id() while opening tcl/tk
      interface of R (LP: #747439)
    - minimize animates window fading to the top left corner (ubuntu symbol)
      (LP: #747765)
    - Spread - Clicking on a app icon to spread the windows must always show
      all the windows, regardless of whether or not some of the windows are
      minimised (LP: #750349)
    - Launcher - Show visual de-coupling of Launcher app icons (LP: #751196)
    - unity-window-decorator crashed with SIGSEGV in event_filter_func()
      (LP: #748317)
    - Pressing Super-W to switch windows also presents Dash (LP: #753453)
    - Don't create windows over the launcher (LP: #688816)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - F10 key does not move focus to indicators when on the desktop.
      (LP: #727548)
    - dynamic ...

Read more...

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
David Barth (dbarth) wrote :

@Alberto: can you mark this fix releaed as well, since we received the new fglrx driver that fixes the problem.

Salih EMIN (salih-emin) on 2011-04-13
Changed in fglrx-installer (Ubuntu Natty):
status: Incomplete → Fix Released
Changed in fglrx:
status: New → Fix Released
John Payne (popcornman68) wrote :

Is the black box problem mentioned by John Oliver #57 fixed

Quote:

Just got Beta 1 and installed the updated fglrx driver. (It was not installed already). The Unity shell resembled a number of 'black squares' jumbled up on the screen. While Unity/Compiz were running other applications flashed as well. However, when I ran sudo killall compiz, all the other apps that were open stopped flashing.

Additionally, when using the standard Gnome 2.x desktop, there is no flashing whatsoever despite the fact that compiz is running.

I'm running 11.04, 2.6.38-7. upon installing ATI/AMD FGLRX from Additional Drivers I got this problem mentioned above as well. It looks like the Panels are all black yet the desktop and non moving parts of application windows appear normal. Moving parts like loading bars are black as well.
I have a ATI Radeon HD Mobility 5650. My Laptop Serial is A665D-S6509.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers